<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: UIDevice+RTCDevice.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_331ebcd7eae20c401b28e17fa8e95b84.html">WebRTC.framework</a></li><li class="navelem"><a class="el" href="dir_16efaed54e63b7da363d990b22453cbf.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">UIDevice+RTCDevice.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright 2016 The WebRTC project authors. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Use of this source code is governed by a BSD-style license</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  that can be found in the LICENSE file in the root of the source</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  tree. An additional intellectual property rights grant can be found</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  in the file PATENTS.  All contributing project authors may</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *  be found in the AUTHORS file in the root of the source tree.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">typedef</span> NS_ENUM(NSInteger, RTCDeviceType) {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;  RTCDeviceTypeUnknown,</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;  RTCDeviceTypeIPhone1G,</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;  RTCDeviceTypeIPhone3G,</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  RTCDeviceTypeIPhone3GS,</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;  RTCDeviceTypeIPhone4,</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;  RTCDeviceTypeIPhone4Verizon,</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;  RTCDeviceTypeIPhone4S,</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  RTCDeviceTypeIPhone5GSM,</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  RTCDeviceTypeIPhone5GSM_CDMA,</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  RTCDeviceTypeIPhone5CGSM,</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  RTCDeviceTypeIPhone5CGSM_CDMA,</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  RTCDeviceTypeIPhone5SGSM,</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  RTCDeviceTypeIPhone5SGSM_CDMA,</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  RTCDeviceTypeIPhone6Plus,</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  RTCDeviceTypeIPhone6,</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  RTCDeviceTypeIPhone6S,</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  RTCDeviceTypeIPhone6SPlus,</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  RTCDeviceTypeIPodTouch1G,</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  RTCDeviceTypeIPodTouch2G,</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  RTCDeviceTypeIPodTouch3G,</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  RTCDeviceTypeIPodTouch4G,</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  RTCDeviceTypeIPodTouch5G,</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  RTCDeviceTypeIPad,</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  RTCDeviceTypeIPad2Wifi,</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  RTCDeviceTypeIPad2GSM,</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  RTCDeviceTypeIPad2CDMA,</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  RTCDeviceTypeIPad2Wifi2,</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  RTCDeviceTypeIPadMiniWifi,</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  RTCDeviceTypeIPadMiniGSM,</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;  RTCDeviceTypeIPadMiniGSM_CDMA,</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  RTCDeviceTypeIPad3Wifi,</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  RTCDeviceTypeIPad3GSM_CDMA,</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  RTCDeviceTypeIPad3GSM,</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  RTCDeviceTypeIPad4Wifi,</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  RTCDeviceTypeIPad4GSM,</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  RTCDeviceTypeIPad4GSM_CDMA,</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  RTCDeviceTypeIPadAirWifi,</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  RTCDeviceTypeIPadAirCellular,</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  RTCDeviceTypeIPadMini2GWifi,</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  RTCDeviceTypeIPadMini2GCellular,</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  RTCDeviceTypeSimulatori386,</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;  RTCDeviceTypeSimulatorx86_64,</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;};</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="category_u_i_device_07_r_t_c_device_08.html">   58</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="category_u_i_device_07_r_t_c_device_08.html">UIDevice (RTCDevice)</a></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;+ (RTCDeviceType)deviceType;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;+ (NSString *)stringForDeviceType:(RTCDeviceType)deviceType;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;+ (BOOL)isIOS9OrLater;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="acategory_u_i_device_07_r_t_c_device_08_html"><div class="ttname"><a href="category_u_i_device_07_r_t_c_device_08.html">UIDevice(RTCDevice)</a></div><div class="ttdef"><b>Definition:</b> UIDevice+RTCDevice.h:58</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
